Page MenuHomePhabricator

[Task] Remove "all" option for Special:EntitiesWithout*"
Closed, ResolvedPublic

Description

We have removed the option to select items in Special:EntitiesWithoutDescriptions and Special:EntitiesWithoutLabels in T147638. This was done for performance reasons. The "all" option is still problematic. We should remove it as it does not make sense to have it if the SpecialPage should only be used for listing properties.

Removing (or at least, re-defining) the "all" option is needed to resolve T160887: Wikibase\Repo\Store\Sql\SqlEntitiesWithoutTermFinder::getEntitiesWithoutTerm can take 19 hours to execute and it is run by the web requests user.

Patch-For-Review:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2017, 4:55 PM

Change 345186 had a related patch set uploaded (by Daniel Kinzler):
[mediawiki/extensions/Wikibase@master] Require an entity type to be specified when searching for entitites without label or description.

https://gerrit.wikimedia.org/r/345186

daniel updated the task description. (Show Details)Mar 28 2017, 5:33 PM
aude added a subscriber: aude.Mar 29 2017, 4:46 AM

error I get with https://gerrit.wikimedia.org/r/#/c/345186/ when going to https://wikidatawiki/wiki/Special:EntitiesWithoutDescription (before selecting anything in the form and without any request params)

thiemowmde moved this task from incoming to in progress on the Wikidata board.Mar 29 2017, 9:36 AM
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde added subscribers: thiemowmde, hoo.
thiemowmde assigned this task to daniel.

Change 345532 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Major clean-up to SpecialEntitiesWithoutPage

https://gerrit.wikimedia.org/r/345532

Change 345186 merged by Aude:
[mediawiki/extensions/Wikibase@master] Require an entity type to be specified when searching for entitites without label or description.

https://gerrit.wikimedia.org/r/345186

Change 345782 had a related patch set uploaded (by Aude; owner: Daniel Kinzler):
[mediawiki/extensions/Wikibase@wmf/1.29.0-wmf.17] Require an entity type to be specified when searching for entitites without label or description.

https://gerrit.wikimedia.org/r/345782

Change 345782 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.29.0-wmf.17] Require an entity type to be specified when searching for entitites without label or description.

https://gerrit.wikimedia.org/r/345782

thiemowmde updated the task description. (Show Details)Mar 31 2017, 9:01 AM
thiemowmde moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde lowered the priority of this task from High to Low.

Change 345532 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Major clean-up to SpecialEntitiesWithoutPage

https://gerrit.wikimedia.org/r/345532

Lydia_Pintscher closed this task as Resolved.Apr 11 2017, 2:50 PM